From feab7fb5d02efade47bf804f45448e53f951c67b Mon Sep 17 00:00:00 2001
From: Nick White <git@njw.me.uk>
Date: Thu, 4 Jun 2009 12:34:48 +0100
Subject: Make sure we don't remove <gamename>.ini

Currently read by gemrb, and in the future may be written too.
---
 auto-installer.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/auto-installer.sh b/auto-installer.sh
index e51d19e..5896953 100755
--- a/auto-installer.sh
+++ b/auto-installer.sh
@@ -102,7 +102,7 @@ while [ -z "$MINSCRIPT" ]; do
 			MINSCRIPT="iwd/install-2cd-uk-minimal.sh"
 			EXTRASCRIPT="iwd/install-2cd-uk-extra.sh"
 			PATCHES="iwd/install-patch-uk-fix.sh iwd/install-patch-us.sh"
-			WINDOWSFILES="3dfx.dll config.exe icewind.ini keymap.ini language.ini mpicewnd.mpi"
+			WINDOWSFILES="3dfx.dll config.exe keymap.ini language.ini mpicewnd.mpi"
 			CDNO=2
 			;;
 		* )
-- 
cgit v1.2.3


From dad2f8163435c5b1804147ff37c54799c2c38a14 Mon Sep 17 00:00:00 2001
From: Nick White <git@njw.me.uk>
Date: Tue, 23 Jun 2009 11:51:19 +0100
Subject: Sanitise copying further

---
 bg1/install-5cd-minimal.sh    | 4 ++--
 pst/install-patch-official.sh | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/bg1/install-5cd-minimal.sh b/bg1/install-5cd-minimal.sh
index e6be0fa..b4c522d 100755
--- a/bg1/install-5cd-minimal.sh
+++ b/bg1/install-5cd-minimal.sh
@@ -28,7 +28,7 @@ getcd 1 $BG1_5CD_INTL_MD5 data1.cab
 
 mkdir -p "$TARGETDIR" || die
 
-cp "${CDMOUNT}/dialog.tlk" "$TARGETDIR" || die
+copylower "${CDMOUNT}/dialog.tlk" "$TARGETDIR" || die
 
 unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
 
@@ -40,6 +40,6 @@ rm -r "${TARGETDIR}/recommended_music" "${TARGETDIR}/english_sounds"
 
 mkdir -p "${TARGETDIR}/movies"
 
-cp "${CDMOUNT}/baldur.ico" "$TARGETDIR" || die
+copylower "${CDMOUNT}/baldur.ico" "$TARGETDIR" || die
 
 setperms "$TARGETDIR"
diff --git a/pst/install-patch-official.sh b/pst/install-patch-official.sh
index b053e37..3cac6a1 100755
--- a/pst/install-patch-official.sh
+++ b/pst/install-patch-official.sh
@@ -38,7 +38,7 @@ getpatch $patch_url
 cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
 unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
 
-cp -R "${TMPDIR}/program_executable_files/"* "$TARGETDIR" || diesoftly
+copylower "${TMPDIR}/program_executable_files/" "$TARGETDIR" || diesoftly
 
 cleanuptmp
 setperms "$TARGETDIR"
-- 
cgit v1.2.3


From 470b322c5cb3c392f77fc63bb14a1c61abf9180a Mon Sep 17 00:00:00 2001
From: Tasos Latsas <tlatsas@users.sourceforge.net>
Date: Wed, 3 Jun 2009 13:14:18 +0300
Subject: Icewind Dale 2 support

---
 auto-installer.sh              | 11 +++++++++-
 iwd2/install-2cd-us-extra.sh   | 31 ++++++++++++++++++++++++++++
 iwd2/install-2cd-us-minimal.sh | 40 +++++++++++++++++++++++++++++++++++
 iwd2/install-patch-us.sh       | 47 ++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 128 insertions(+), 1 deletion(-)
 create mode 100755 iwd2/install-2cd-us-extra.sh
 create mode 100755 iwd2/install-2cd-us-minimal.sh
 create mode 100755 iwd2/install-patch-us.sh

diff --git a/auto-installer.sh b/auto-installer.sh
index 5896953..797623a 100755
--- a/auto-installer.sh
+++ b/auto-installer.sh
@@ -97,7 +97,7 @@ while [ -z "$MINSCRIPT" ]; do
 			CDNO=4
 			;;
 		$IWD_2CD_UK_MD5 )
-			FULLGAMENAME="Icewind Dale 2CD UK version"
+			FULLGAMENAME="Icewind Dale: 2CD UK version"
 			SHORTGAMENAME="icewinddale"
 			MINSCRIPT="iwd/install-2cd-uk-minimal.sh"
 			EXTRASCRIPT="iwd/install-2cd-uk-extra.sh"
@@ -105,6 +105,15 @@ while [ -z "$MINSCRIPT" ]; do
 			WINDOWSFILES="3dfx.dll config.exe keymap.ini language.ini mpicewnd.mpi"
 			CDNO=2
 			;;
+		$IWD2_2CD_US_MD5 )
+			FULLGAMENAME="Icewind Dale 2: 2CD US version"
+			SHORTGAMENAME="icewinddale2"
+			MINSCRIPT="iwd2/install-2cd-us-minimal.sh"
+			EXTRASCRIPT="iwd2/install-2cd-us-extra.sh"
+			PATCHES="iwd2/install-patch-us.sh"
+			WINDOWSFILES="config.exe icewind2.ini keymap.ini language.ini binkw32.dll iwd2.exe"
+			CDNO=2
+			;;
 		* )
 			echo "Unrecognised CD - please select game from menu"
 			choosegame
diff --git a/iwd2/install-2cd-us-extra.sh b/iwd2/install-2cd-us-extra.sh
new file mode 100755
index 0000000..d94bd7a
--- /dev/null
+++ b/iwd2/install-2cd-us-extra.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale 2 (2CD US version) extra
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
+
+parseargs "$@"
+
+CD2="9756ace5dd78e5b45b21772c6bee7fed"
+
+getcd 2 $CD2 data3.cab
+
+copylower "${CDMOUNT}/CD2/Data/" "${TARGETDIR}/data" || die
+
+setperms "$TARGETDIR"
diff --git a/iwd2/install-2cd-us-minimal.sh b/iwd2/install-2cd-us-minimal.sh
new file mode 100755
index 0000000..f057576
--- /dev/null
+++ b/iwd2/install-2cd-us-minimal.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale 2 (2CD US version) minimal
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 $IWD2_2CD_US_MD5 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+
+move_and_remove "${TARGETDIR}/minimum_compressed_-_us_english/" "$TARGETDIR" || die
+move_and_remove "${TARGETDIR}/minimum_compressed_-_language_independent/" "$TARGETDIR" || die
+
+copylower "${CDMOUNT}/Data/" "${TARGETDIR}/data" || die
+copylower "${CDMOUNT}/Icewind2.ico" "$TARGETDIR" || die
+
+rm -r "${TARGETDIR}/"_*
+setperms "$TARGETDIR"
diff --git a/iwd2/install-patch-us.sh b/iwd2/install-patch-us.sh
new file mode 100755
index 0000000..bb2fa8f
--- /dev/null
+++ b/iwd2/install-patch-us.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale 2 US version patch v2.01
+#
+# info : http://www.planetbaldursgate.com/iwd2/media/files/
+# size : 4.95 MB
+
+patch_url="http://www.sorcerers.net/Games2/IWD2/IWD2Patch201.exe"
+patch_name="$(basename $patch_url)"
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract wget unshield
+
+setuptmp
+
+getpatch $patch_url
+
+cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
+unshield -L x "${TMPDIR}/disk1/data1.cab" -d "$TMPDIR" || diesoftly
+
+cp -R "${TMPDIR}/minimum_compressed_-_language_independent/override/"* "${TARGETDIR}"/override || diesoftly
+cp -R "${TMPDIR}/minimum_compressed_-_language_independent/scripts/"* "${TARGETDIR}"/scripts || diesoftly
+
+cp -R "${TMPDIR}/minimum_compressed_-_us_english/characters/"* "${TARGETDIR}/characters" || diesoftly
+cp -f "${TMPDIR}/minimum_compressed_-_us_english/dialog.tlk" "$TARGETDIR" || diesoftly
+
+cleanuptmp
+setperms "$TARGETDIR"
-- 
cgit v1.2.3


From feb2cd603ba1ae6e7dc04e17463c87777f882363 Mon Sep 17 00:00:00 2001
From: Tasos Latsas <tlatsas@users.sourceforge.net>
Date: Thu, 18 Jun 2009 15:50:48 +0300
Subject: pass unshield options before extract command

---
 bg1/install-1cd-totsc-uk.sh     | 2 +-
 bg1/install-3cd-minimal.sh      | 2 +-
 bg1/install-5cd-minimal.sh      | 2 +-
 bg1/install-patch-intl.sh       | 2 +-
 bg1/install-patch-totsc-intl.sh | 2 +-
 bg1/install-patch-totsc-uk.sh   | 2 +-
 bg1/install-patch-totsc-us.sh   | 2 +-
 bg1/install-patch-us.sh         | 2 +-
 bg2/install-4cd-minimal-us.sh   | 2 +-
 iwd/install-2cd-uk-minimal.sh   | 2 +-
 iwd2/install-2cd-us-minimal.sh  | 2 +-
 iwd2/install-patch-us.sh        | 2 +-
 pst/install-2cd-extra.sh        | 4 ++--
 pst/install-2cd-minimal.sh      | 4 ++--
 pst/install-4cd-minimal.sh      | 2 +-
 pst/install-patch-official.sh   | 2 +-
 16 files changed, 18 insertions(+), 18 deletions(-)

diff --git a/bg1/install-1cd-totsc-uk.sh b/bg1/install-1cd-totsc-uk.sh
index 3584c07..4067e6b 100755
--- a/bg1/install-1cd-totsc-uk.sh
+++ b/bg1/install-1cd-totsc-uk.sh
@@ -28,7 +28,7 @@ getcd 1 $BG1_TOTSC_1CD_UK_MD5 data1.cab
 
 mkdir -p "$TARGETDIR" || die
 
-unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
 
 cp "${CDMOUNT}/dialog.tlk" "$TARGETDIR" || die
 
diff --git a/bg1/install-3cd-minimal.sh b/bg1/install-3cd-minimal.sh
index 1c4ae7d..a0b49e8 100755
--- a/bg1/install-3cd-minimal.sh
+++ b/bg1/install-3cd-minimal.sh
@@ -30,7 +30,7 @@ mkdir -p "$TARGETDIR" || die
 
 cp "${CDMOUNT}/dialog.tlk" "$TARGETDIR" || die
 
-unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
 
 move_and_remove "${TARGETDIR}/minimumdata" "${TARGETDIR}"
 move_and_remove "${TARGETDIR}/english" "${TARGETDIR}"
diff --git a/bg1/install-5cd-minimal.sh b/bg1/install-5cd-minimal.sh
index b4c522d..0e34e33 100755
--- a/bg1/install-5cd-minimal.sh
+++ b/bg1/install-5cd-minimal.sh
@@ -30,7 +30,7 @@ mkdir -p "$TARGETDIR" || die
 
 copylower "${CDMOUNT}/dialog.tlk" "$TARGETDIR" || die
 
-unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
 
 move_and_remove "${TARGETDIR}/minimumdata" "$TARGETDIR"
 move_and_remove "${TARGETDIR}/english" "$TARGETDIR"
diff --git a/bg1/install-patch-intl.sh b/bg1/install-patch-intl.sh
index 56ec960..4f8a45f 100755
--- a/bg1/install-patch-intl.sh
+++ b/bg1/install-patch-intl.sh
@@ -36,7 +36,7 @@ setuptmp
 getpatch $patch_url
 
 unzip "${TMPDIR}/${patch_name}" -d "${TMPDIR}" || diesoftly
-unshield -g "$LANGUAGE" -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
+unshield -g "$LANGUAGE" -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
 
 LANGUAGE="$(echo $LANGUAGE|tr A-Z a-z|tr ' ' _)" # alter formatting
 cp -R "${TMPDIR}/${LANGUAGE}/"* "$TARGETDIR" || diesoftly
diff --git a/bg1/install-patch-totsc-intl.sh b/bg1/install-patch-totsc-intl.sh
index 4c7d57e..c2f2162 100755
--- a/bg1/install-patch-totsc-intl.sh
+++ b/bg1/install-patch-totsc-intl.sh
@@ -36,7 +36,7 @@ setuptmp
 getpatch $patch_url
 
 cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
-unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
+unshield -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
 
 cp -R "${TMPDIR}/minimumdata/"* "$TARGETDIR" || diesoftly
 
diff --git a/bg1/install-patch-totsc-uk.sh b/bg1/install-patch-totsc-uk.sh
index 10fc8f0..29638a5 100755
--- a/bg1/install-patch-totsc-uk.sh
+++ b/bg1/install-patch-totsc-uk.sh
@@ -36,7 +36,7 @@ setuptmp
 getpatch $patch_url
 
 cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
-unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
+unshield -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
 
 cp -R "${TMPDIR}/minimumdata/"* "$TARGETDIR" || diesoftly
 
diff --git a/bg1/install-patch-totsc-us.sh b/bg1/install-patch-totsc-us.sh
index 9518ae9..9581919 100755
--- a/bg1/install-patch-totsc-us.sh
+++ b/bg1/install-patch-totsc-us.sh
@@ -36,7 +36,7 @@ setuptmp
 getpatch $patch_url
 
 cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
-unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
+unshield -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
 
 cp -R "${TMPDIR}/minimumdata/"* "$TARGETDIR" || diesoftly
 
diff --git a/bg1/install-patch-us.sh b/bg1/install-patch-us.sh
index 2d382ea..f22045f 100755
--- a/bg1/install-patch-us.sh
+++ b/bg1/install-patch-us.sh
@@ -36,7 +36,7 @@ setuptmp
 getpatch $patch_url
 
 cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
-unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
+unshield -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
 
 cp -R "${TMPDIR}/english/"* "$TARGETDIR" || diesoftly
 
diff --git a/bg2/install-4cd-minimal-us.sh b/bg2/install-4cd-minimal-us.sh
index 864b010..42eda0c 100755
--- a/bg2/install-4cd-minimal-us.sh
+++ b/bg2/install-4cd-minimal-us.sh
@@ -33,7 +33,7 @@ mkdir -p "${TARGETDIR}/portraits" || die
 
 cp "${CDMOUNT}/baldur.ico" "$TARGETDIR" || die
 
-unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
 
 rm -r "${TARGETDIR}/_"* # remove all the the fake directories.
 
diff --git a/iwd/install-2cd-uk-minimal.sh b/iwd/install-2cd-uk-minimal.sh
index dd1c80a..abfe6fe 100755
--- a/iwd/install-2cd-uk-minimal.sh
+++ b/iwd/install-2cd-uk-minimal.sh
@@ -28,7 +28,7 @@ getcd 1 $IWD_2CD_UK_MD5 data1.cab
 
 mkdir -p "$TARGETDIR" || die
 
-unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
 
 move_and_remove "${TARGETDIR}/minimum_compressed/" "$TARGETDIR"
 move_and_remove "${TARGETDIR}/recommended_compressed/data/" "${TARGETDIR}/data"
diff --git a/iwd2/install-2cd-us-minimal.sh b/iwd2/install-2cd-us-minimal.sh
index f057576..5af6459 100755
--- a/iwd2/install-2cd-us-minimal.sh
+++ b/iwd2/install-2cd-us-minimal.sh
@@ -28,7 +28,7 @@ getcd 1 $IWD2_2CD_US_MD5 data1.cab
 
 mkdir -p "$TARGETDIR" || die
 
-unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
 
 move_and_remove "${TARGETDIR}/minimum_compressed_-_us_english/" "$TARGETDIR" || die
 move_and_remove "${TARGETDIR}/minimum_compressed_-_language_independent/" "$TARGETDIR" || die
diff --git a/iwd2/install-patch-us.sh b/iwd2/install-patch-us.sh
index bb2fa8f..2528e44 100755
--- a/iwd2/install-patch-us.sh
+++ b/iwd2/install-patch-us.sh
@@ -35,7 +35,7 @@ setuptmp
 getpatch $patch_url
 
 cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
-unshield -L x "${TMPDIR}/disk1/data1.cab" -d "$TMPDIR" || diesoftly
+unshield -d "$TMPDIR" -L x "${TMPDIR}/disk1/data1.cab" || diesoftly
 
 cp -R "${TMPDIR}/minimum_compressed_-_language_independent/override/"* "${TARGETDIR}"/override || diesoftly
 cp -R "${TMPDIR}/minimum_compressed_-_language_independent/scripts/"* "${TARGETDIR}"/scripts || diesoftly
diff --git a/pst/install-2cd-extra.sh b/pst/install-2cd-extra.sh
index 82e9002..ccdd0fd 100755
--- a/pst/install-2cd-extra.sh
+++ b/pst/install-2cd-extra.sh
@@ -28,8 +28,8 @@ CD2="610d9f6354be741b09fc25b5e9645328"
 
 getcd 1 "$PST_2CD_MD5" data1.cab
 
-unshield -g OtherData -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
-unshield -g OtherData -L x "${CDMOUNT}/data2.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -g OtherData -L x "${CDMOUNT}/data1.cab" || die
+unshield -d "$TARGETDIR" -g OtherData -L x "${CDMOUNT}/data2.cab" || die
 
 mv "${TARGETDIR}/otherdata/"* "$TARGETDIR" || die
 rmdir "${TARGETDIR}/otherdata" || die
diff --git a/pst/install-2cd-minimal.sh b/pst/install-2cd-minimal.sh
index 45493bf..329d84f 100755
--- a/pst/install-2cd-minimal.sh
+++ b/pst/install-2cd-minimal.sh
@@ -28,8 +28,8 @@ getcd 1 $PST_2CD_MD5 data1.cab
 
 mkdir -p "$TARGETDIR" || die
 
-unshield -g MinimumData -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
-unshield -g MinimumData -L x "${CDMOUNT}/data2.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -g MinimumData -L x "${CDMOUNT}/data1.cab" || die
+unshield -d "$TARGETDIR" -g MinimumData -L x "${CDMOUNT}/data2.cab" || die
 
 cp "${CDMOUNT}/Manual/Torment.pdf" "${TARGETDIR}/manual.pdf" || die
 cp "${CDMOUNT}/Torment.ico" "${TARGETDIR}/torment.ico" || die
diff --git a/pst/install-4cd-minimal.sh b/pst/install-4cd-minimal.sh
index 1bcb07b..97fdf4a 100755
--- a/pst/install-4cd-minimal.sh
+++ b/pst/install-4cd-minimal.sh
@@ -28,7 +28,7 @@ getcd 1 $PST_4CD_MD5 data1.cab
 
 mkdir -p "$TARGETDIR" || die
 
-unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
 
 move_and_remove "${TARGETDIR}/program_executable_files/" "$TARGETDIR"
 
diff --git a/pst/install-patch-official.sh b/pst/install-patch-official.sh
index 3cac6a1..0c244a8 100755
--- a/pst/install-patch-official.sh
+++ b/pst/install-patch-official.sh
@@ -36,7 +36,7 @@ setuptmp
 getpatch $patch_url
 
 cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
-unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
+unshield -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
 
 copylower "${TMPDIR}/program_executable_files/" "$TARGETDIR" || diesoftly
 
-- 
cgit v1.2.3